﻿using System;
using System.Threading;
using System.Windows.Media;

using Styx;
using Styx.Common;
using Styx.Plugins;
using Styx.WoWInternals;
using Styx.WoWInternals.WoWObjects;


namespace ReadyCheck
{
    public class ReadyCheck : HBPlugin
    {
        public override string Name { get { return "ReleaseSpirit"; } }
        public override string Author { get { return "Powa"; } }
        public override Version Version { get { return new Version(1, 0); } }
        public override bool WantButton { get { return false; } }
        public static LocalPlayer Me = StyxWoW.Me;

        public override void Initialize()
        {
            Lua.Events.AttachEvent("PLAYER_DEAD", Release);
            Logging.Write(Colors.Tomato, "ReleaseSpirit- Loaded Version " + Version);
        }

        public override void Pulse()
        {
        }

        Random rnd = new Random();

        public void Release(object sender, LuaEventArgs args)
        {
            if (!Me.IsDead)
                return;
            Logging.Write(Colors.Tomato, "[ReleaseSpirit]: You Died");
            Thread.Sleep(rnd.Next(1000, 3000));
            Lua.DoString("RepopMe()"); //Closing the window

        }
    }
}